ROOT(1)

NAME
root - Interpretor of C++ for the ROOT framework

SYNOPSIS
root [options] files ...

DESCRIPTION
ROOTs Object-Oriented Technologies.

root is a interactive interpretor of C++ code. It uses the ROOT framework. For more information on ROOT, please refer to http://root.cern.ch. An extensive Users Guide is available from that site.

OPTIONS
-? Show summary of options.

-b  Run in batch mode without graphics

-n  Do not execute logon and logoff macros as specified in .rootrc

-q  Exit after processing command line macro files

-l  Do not show splash screen

SEE ALSO
rootcint(1), cint(1), root-config(1), rootd(1), h2root(1), g2root(1)

For extensive documentation on the ROOT system, see http://root.cern.ch (http://root.cern.ch)

A Users Guide is avaliable from http://root.cern.ch/root/UsersGuide.html (http://root.cern.ch/root/UsersGuide.html)

The classes of ROOT are all documented on http://root.cern.ch/root/html/ClassIndex.html (http://root.cern.ch/root/html/ClassIndex.html)

FILES

<etcdir>/system.rootrc
    System-wide configuration file. <etcdir> either ROOTSYS, or something like /etc/root

<libdir>/*
    ROOT C++ class libraries. <libdir> is either ROOTSYS/lib or something like /usr/lib/root.

<incdir>/*
    The header files for the ROOT C++ class libraries. <incdir> is either ROOTSYS/include or something like /usr/include/root.

~/.rootrc, ./.rootrc
    User configuration file

ORIGINAL AUTHORS
The ROOT team (see web page above):
    Rene Brun and Fons Rademakers

COPYRIGHT
ROOT Software Terms and Conditions

The authors hereby grant permission to use, copy, and distribute this software and its documentation for any purpose, provided that existing copyright notices are retained in all copies and that this notice is included verbatim in any distributions. Additionally, the authors grant permission to modify this software and its documentation for any purpose, provided that such modifications are not distributed without the explicit consent of the authors and that existing copyright notices are retained in all copies. Users of the software are asked to feed back problems, benefits, and/or suggestions about the software to the ROOT Development Team (rootdev@root.cern.ch). Support for this software - fixing of bugs, incorporation of new features - is done on a best effort basis. All bug fixes and enhancements will be made available under the same terms and conditions as the original software,

IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

AUTHOR
This manual page was written by Christian Holm Christensen <cholm@nbi.dk>, for the Debian GNU/Linux system (but may be used by others).